/* helper object for converting BCD 2 Long and back */

int bcd2l(int x) {
	/* if not BCD, return -ve x */
	int t,h,e,u;
	u=(x>>0)  & 15; if (u>9) return -x;
	e=(x>>4)  & 15; if (e>9) return -x;
	h=(x>>8)  & 15; if (h>9) return -x;
	t=(x>>12) & 15; if (t>9) return -x;
	return 1000*t + 100*h + 10*e + u;
	}

int l2bcd(int x) {
	return (((x)%10)+(((x)/10)%10)*0x10+(((x)/100)%10)*0x100+(((x)/1000)%10)*0x1000);
	}

int bcdinc(int x) {
	return l2bcd(bcd2l(x)+1);
	}
