/* This file is to concentrate unnecessary MS warnings. */

#define _CRT_SECURE_NO_WARNINGS
#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include "win32.h"

char *w32_strcpy(char *dest,const char *src) {
	char *p;
	for(p=dest;*src;p++) *p=*(src++);
	*(p++)='\0';
	return dest;
	}

char *w32_strncpy(char *dest,const char *src,int len) {
	char *p=dest;
	while(len-->0) {
		*(p++)=(*(src))?*(src++):'\0';
		}
	return dest;
	}

char *w32_strdup(const char *src) {
	char *ret;
	if (!src) return NULL;
	ret=malloc(strlen(src)+1);
	return w32_strcpy(ret,src);
	}

char *w32_getenv(const char *env) {
	return getenv(env);
	}

FILE *w32_fopen(const char *n,const char *m) {
	return fopen(n,m);
	}

int w32err(const char *msg) {
	if (!msg) return 0;
	fprintf(stderr,"\n%s\n",msg);
	return -1;
	}
